<script lang="ts">
	import OrderStatus from "./OrderStatus";
	import OrderStatusDisplay from "./OrderStatusDisplay.svelte";

	const orderHash = window.document.location.hash.substring(1).toLowerCase();
	const API_URL = "https://scheduler.ctrl.etke.cc/installable/";
	let orderStatus = null;

	const checkOrderStatus = async () => {
		const res = await fetch(`${API_URL}${orderHash}`);
		const responseData = await res.json();
		orderStatus = new OrderStatus(responseData);
	};

	if (orderHash && orderHash !== "faq" && orderHash != "delegation-redirects" && orderHash != "ports-and-firewalls") {
		checkOrderStatus();
	}
</script>

{#if orderHash === ""}
	<p class="alert alert-danger my-3">Uh-oh, order ID is missing! It looks like the link you opened is invalid. Please, check your inbox to get the correct link! If you can't find the correct link, please <a href="/contacts/">contact us</a>.</p>
{:else}
	<OrderStatusDisplay status={orderStatus} />
{/if}
